Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gecco.game.dke
Class Def

    java.lang.Object
      gecco.game.dke.Def

public abstract class Def
extends Object

Field Summary
`static int` | `A_PROTECT`
`static int` | `A_SPEED`
`static int` | `ADVANCE`
`static String` | `ALLREADY_IN_COMBAT_STRING`
`static int[][]` | `ARTILLERY_RESULT_TABLE`
`static String` | `ATTACK_OUT_OF_RANGE_STRING`
`static String` | `ATTACK_PROPERTY_STRING`
`static int` | `ATTACK_RADIUS`
`static int` | `B_PROTECT`
`static int` | `B_SPEED`
`static int` | `BEACH`
`static double` | `BEACH_ATTACK_PROTECTION_FACTOR`
`static double` | `BEACH_INDIRECT_FIRE_PROTECTION_FACTOR`
`static double` | `BEACH_SPEED_DENOMINATOR`
`static int` | `BLUE_FORCE`
`static String` | `BLUE_FORCE_NAME`
`static int[]` | `BLUE_RETREAT_BASE`
`static int` | `BRIDGE`
`static double` | `BRIDGE_ATTACK_PROTECTION_FACTOR`
`static double` | `BRIDGE_INDIRECT_FIRE_PROTECTION_FACTOR`
`static double` | `BRIDGE_SPEED_DENOMINATOR`
`static int` | `C_PROTECT`
`static int` | `C_SPEED`
`static String` | `CANT_ATTACK_THIS_UNIT_TYPE_STRING`
`static String` | `CANT_MOVE_OUT_OF_MAP_STRING`
`static String` | `CANT_MOVE_TO_WATER_STRING`
`static int` | `CLEAR`
`static double` | `CLEAR_ATTACK_PROTECTION_FACTOR`
`static double` | `CLEAR_INDIRECT_FIRE_PROTECTION_FACTOR`
`static double` | `CLEAR_SPEED_DENOMINATOR`
`static String` | `COFFEE_BREAK_STRING`
`static double` | `COMBAT_EXTEND_TIME`
`static int[][]` | `COMBAT_RESULT_TABLE`
`static String` | `COMBAT_WARNING_STRING`
`static int` | `D`
`static int` | `DEF_PROTECT`
`static int` | `DEF_SPEED`
`static double` | `DEFAULT_ATTACK_PROTECTION_FACTOR`
`static double` | `DEFAULT_INDIRECT_FIRE_PROTECTION_FACTOR`
`static double` | `DEFAULT_SPEED_DENOMINATOR`
`static String` | `DEFENCE_PROPERTY_STRING`
`static String` | `DESTINATION_REACHED_STRING`
`static int` | `DISTURBED`
`static double` | `DISTURBED_PERFORMANCE_FACTOR`
`static double` | `DISTURBED_TIME`
`static int` | `E`
`static int` | `ELIMINATED`
`static int` | `FLOODED`
`static int` | `FOREST`
`static double` | `FOREST_ATTACK_PROTECTION_FACTOR`
`static double` | `FOREST_INDIRECT_FIRE_PROTECTION_FACTOR`
`static double` | `FOREST_SPEED_DENOMINATOR`
`static String` | `HEALTH_PROPERTY_STRING`
`static int` | `HILL`
`static String` | `INDIRECT_FIRE_COMPLETED_STRING`
`static int` | `INDIRECT_FIRE_DISPERSION`
`static double` | `INDIRECT_FIRE_EXTEND_TIME`
`static int` | `INDIRECT_FIRE_MAX_RANGE`
`static int` | `INDIRECT_FIRE_MIN_RANGE`
`static String` | `INDIRECT_FIRE_OUT_OF_RANGE_STRING`
`static String` | `INDIRECT_FIRE_PROPERTY_STRING`
`static String` | `INDIRECT_FIRE_STRING`
`static String` | `INDIRECT_FIRE_WARNING_STRING`
`static String` | `LAST_VISITOR_CHANGED`
`static int` | `MAP_SCALE`
`static double` | `MAX_GAME_TIME`
`static int` | `MAX_ROAD_WIDTH`
`static String` | `MOVEMENT_PROPERTY_STRING`
`static String` | `MUST_END_ON_ROUTE_STRING`
`static String` | `MUST_START_ON_ROUTE_STRING`
`static int` | `NO_FORCE`
`static String` | `NO_FORCE_NAME`
`static String` | `PROTECTION_PROPERTY_STRING`
`static int` | `R`
`static int` | `RAILROAD`
`static double` | `RAILROAD_ATTACK_PROTECTION_FACTOR`
`static double` | `RAILROAD_INDIRECT_FIRE_PROTECTION_FACTOR`
`static double` | `RAILROAD_SPEED_DENOMINATOR`
`static int` | `RED_FORCE`
`static String` | `RED_FORCE_NAME`
`static int[]` | `RED_RETREAT_BASE`
`static double` | `RELOAD_EXTEND_TIME`
`static int` | `RESULT_MASK`
`static int` | `RETREAT`
`static int` | `RIVER`
`static double` | `RIVER_ATTACK_PROTECTION_FACTOR`
`static double` | `RIVER_INDIRECT_FIRE_PROTECTION_FACTOR`
`static double` | `RIVER_SPEED_DENOMINATOR`
`static int` | `ROAD_LARGE`
`static double` | `ROAD_LARGE_ATTACK_PROTECTION_FACTOR`
`static double` | `ROAD_LARGE_INDIRECT_FIRE_PROTECTION_FACTOR`
`static double` | `ROAD_LARGE_SPEED_DENOMINATOR`
`static int` | `ROAD_SMALL`
`static double` | `ROAD_SMALL_ATTACK_PROTECTION_FACTOR`
`static double` | `ROAD_SMALL_INDIRECT_FIRE_PROTECTION_FACTOR`
`static double` | `ROAD_SMALL_SPEED_DENOMINATOR`
`static int` | `SCORE_ADVANTAGE_TO_WIN`
`static int` | `SEA`
`static double` | `SEA_ATTACK_PROTECTION_FACTOR`
`static double` | `SEA_INDIRECT_FIRE_PROTECTION_FACTOR`
`static double` | `SEA_SPEED_DENOMINATOR`
`static String` | `STATUS_PROPERTY_STRING`
`static double` | `STEP_LENGTH`
`static int` | `SWAMP`
`static double` | `SWAMP_ATTACK_PROTECTION_FACTOR`
`static double` | `SWAMP_INDIRECT_FIRE_PROTECTION_FACTOR`
`static double` | `SWAMP_SPEED_DENOMINATOR`
`static String` | `SYSTEM_ROLE_NAME`
`static String` | `TARGET_DESTROYED_STRING`
`static int` | `TOWN`
`static double` | `TOWN_ATTACK_PROTECTION_FACTOR`
`static double` | `TOWN_INDIRECT_FIRE_PROTECTION_FACTOR`
`static double` | `TOWN_SPEED_DENOMINATOR`
`static int` | `UNDEFINED_FORCE`
`static int[]` | `UNDEFINED_RETREAT_BASE`
`static int` | `UNDER_INDIRECT_FIRE`
`static String` | `UNIT_DESTROYED_STRING`
`static String` | `WARNING_STRING`
`static int` | `VILLAGE`
`static double` | `VILLAGE_ATTACK_PROTECTION_FACTOR`
`static double` | `VILLAGE_INDIRECT_FIRE_PROTECTION_FACTOR`
`static double` | `VILLAGE_SPEED_DENOMINATOR`
`static String` | `WINNER_IS_STRING`
`static int` | `WOODED`
`static double` | `WOODED_ATTACK_PROTECTION_FACTOR`
`static double` | `WOODED_INDIRECT_FIRE_PROTECTION_FACTOR`
`static double` | `WOODED_SPEED_DENOMINATOR`

Constructor Summary
`Def()`

Method Summary
`static String` | `cantAttackThisUnitTypeMessage()`
`static String` | `getAllreadyInCombatMessage()`
`static String` | `getAttackOutOfRangeMessage()`
`static String` | `getAttackPropertyString()`
`static double` | `getAttackRadius()` Returns the attackRadius in map pixels
`static String` | `getCantMoveOutOfMapString()`
`static String` | `getCantMoveToWaterString()`
`static String` | `getCoffeeBreakMessage()`
`static double` | `getCombatExtendTime()`
`static String` | `getCombatWarningString()`
`static String` | `getDefencePropertyString()`
`static String` | `getDestinationReachedString()`
`static double` | `getDisturbedPerformanceFactor()`
`static double` | `getDisturbedTime()`
`static String` | `getForceName(int force)`
`static String` | `getHealthPropertyString()`
`static String` | `getIndirectFireCompletedString()`
`static int` | `getIndirectFireDispersion(WarUnit wu)`
`static double` | `getIndirectFireExtendTime(WarUnit wu)`
`static double` | `getIndirectFireMaxRadius()`
`static String` | `getIndirectFireOutOfRangeMessage()`
`static String` | `getIndirectFirePropertyString()`
`static String` | `getIndirectFireString()`
`static String` | `getIndirectFireWarningString()`
`static String` | `getLastVisitorChangedString()`
`static int` | `getMaxRoadWidth()`
`static String` | `getMovementPropertyString()`
`static String` | `getMustEndOnRouteString()`
`static String` | `getMustStartOnRouteString()`
`static int` | `getProtection(String level)`
`static String` | `getProtectionPropertyString()`
`static double` | `getReloadExtendTime(WarUnit wu)`
`static int` | `getResultOfArtilleryFire(int fireFactor, int protectionFactor)`
`static int[]` | `getResutltOfCombat(int attackFactor, int defendFactor)` Return the result of combat as a integer array containing first the result for the attacker and then the result for the defender
`static int[]` | `getRetreatBase(int force)`
`static int` | `getSpeed(String level)`
`static String` | `getStatusPropertyString()`
`static String` | `getSystemRoleName()`
`static String` | `getTargetDestroyedMessage()`
`static double` | `getTerrainAttackProtectionFactor(int groundState)`
`static double` | `getTerrainIndirectFireProtectionFactor(int groundState)`
`static double` | `getTerrainSpeedDenominator(int groundState)`
`static double` | `getTimeToShowIndirectFire()`
`static String` | `getUnitDestroyedWarningString()`
`static String` | `getWarningString()`
`static String` | `getWinnerIsString()`
`static boolean` | `isWhithinIndirectFireRange(double distance)` Retruns true if distance (in map pixels) is whithin the range defined in Def.java

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### UNDEFINED_FORCE

    public static final int UNDEFINED_FORCE

See Also:
  Constant Field Values

### NO_FORCE

    public static final int NO_FORCE

See Also:
  Constant Field Values

### BLUE_FORCE

    public static final int BLUE_FORCE

See Also:
  Constant Field Values

### RED_FORCE

    public static final int RED_FORCE

See Also:
  Constant Field Values

### BLUE_FORCE_NAME

    public static final String BLUE_FORCE_NAME

See Also:
  Constant Field Values

### RED_FORCE_NAME

    public static final String RED_FORCE_NAME

See Also:
  Constant Field Values

### NO_FORCE_NAME

    public static final String NO_FORCE_NAME

See Also:
  Constant Field Values

### SCORE_ADVANTAGE_TO_WIN

    public static final int SCORE_ADVANTAGE_TO_WIN

See Also:
  Constant Field Values

### BLUE_RETREAT_BASE

    public static final int[] BLUE_RETREAT_BASE

### RED_RETREAT_BASE

    public static final int[] RED_RETREAT_BASE

### UNDEFINED_RETREAT_BASE

    public static final int[] UNDEFINED_RETREAT_BASE

### MAP_SCALE

    public static final int MAP_SCALE

See Also:
  Constant Field Values

### STEP_LENGTH

    public static final double STEP_LENGTH

See Also:
  Constant Field Values

### SYSTEM_ROLE_NAME

    public static final String SYSTEM_ROLE_NAME

See Also:
  Constant Field Values

### MAX_ROAD_WIDTH

    public static final int MAX_ROAD_WIDTH

See Also:
  Constant Field Values

### MAX_GAME_TIME

    public static final double MAX_GAME_TIME

See Also:
  Constant Field Values

### WINNER_IS_STRING

    public static final String WINNER_IS_STRING

See Also:
  Constant Field Values

### COFFEE_BREAK_STRING

    public static final String COFFEE_BREAK_STRING

See Also:
  Constant Field Values

### SEA

    public static final int SEA

See Also:
  Constant Field Values

### CLEAR

    public static final int CLEAR

See Also:
  Constant Field Values

### SWAMP

    public static final int SWAMP

See Also:
  Constant Field Values

### FLOODED

    public static final int FLOODED

See Also:
  Constant Field Values

### HILL

    public static final int HILL

See Also:
  Constant Field Values

### RIVER

    public static final int RIVER

See Also:
  Constant Field Values

### WOODED

    public static final int WOODED

See Also:
  Constant Field Values

### FOREST

    public static final int FOREST

See Also:
  Constant Field Values

### BEACH

    public static final int BEACH

See Also:
  Constant Field Values

### RAILROAD

    public static final int RAILROAD

See Also:
  Constant Field Values

### TOWN

    public static final int TOWN

See Also:
  Constant Field Values

### VILLAGE

    public static final int VILLAGE

See Also:
  Constant Field Values

### ROAD_LARGE

    public static final int ROAD_LARGE

See Also:
  Constant Field Values

### ROAD_SMALL

    public static final int ROAD_SMALL

See Also:
  Constant Field Values

### BRIDGE

    public static final int BRIDGE

See Also:
  Constant Field Values

### UNDER_INDIRECT_FIRE

    public static final int UNDER_INDIRECT_FIRE

See Also:
  Constant Field Values

### WARNING_STRING

    public static final String WARNING_STRING

See Also:
  Constant Field Values

### DESTINATION_REACHED_STRING

    public static final String DESTINATION_REACHED_STRING

See Also:
  Constant Field Values

### CANT_MOVE_OUT_OF_MAP_STRING

    public static final String CANT_MOVE_OUT_OF_MAP_STRING

See Also:
  Constant Field Values

### CANT_MOVE_TO_WATER_STRING

    public static final String CANT_MOVE_TO_WATER_STRING

See Also:
  Constant Field Values

### MUST_START_ON_ROUTE_STRING

    public static final String MUST_START_ON_ROUTE_STRING

See Also:
  Constant Field Values

### MUST_END_ON_ROUTE_STRING

    public static final String MUST_END_ON_ROUTE_STRING

See Also:
  Constant Field Values

### UNIT_DESTROYED_STRING

    public static final String UNIT_DESTROYED_STRING

See Also:
  Constant Field Values

### MOVEMENT_PROPERTY_STRING

    public static final String MOVEMENT_PROPERTY_STRING

See Also:
  Constant Field Values

### PROTECTION_PROPERTY_STRING

    public static final String PROTECTION_PROPERTY_STRING

See Also:
  Constant Field Values

### HEALTH_PROPERTY_STRING

    public static final String HEALTH_PROPERTY_STRING

See Also:
  Constant Field Values

### ATTACK_PROPERTY_STRING

    public static final String ATTACK_PROPERTY_STRING

See Also:
  Constant Field Values

### DEFENCE_PROPERTY_STRING

    public static final String DEFENCE_PROPERTY_STRING

See Also:
  Constant Field Values

### INDIRECT_FIRE_PROPERTY_STRING

    public static final String INDIRECT_FIRE_PROPERTY_STRING

See Also:
  Constant Field Values

### STATUS_PROPERTY_STRING

    public static final String STATUS_PROPERTY_STRING

See Also:
  Constant Field Values

### LAST_VISITOR_CHANGED

    public static final String LAST_VISITOR_CHANGED

See Also:
  Constant Field Values

### INDIRECT_FIRE_STRING

    public static final String INDIRECT_FIRE_STRING

See Also:
  Constant Field Values

### INDIRECT_FIRE_COMPLETED_STRING

    public static final String INDIRECT_FIRE_COMPLETED_STRING

See Also:
  Constant Field Values

### INDIRECT_FIRE_WARNING_STRING

    public static final String INDIRECT_FIRE_WARNING_STRING

See Also:
  Constant Field Values

### INDIRECT_FIRE_DISPERSION

    public static final int INDIRECT_FIRE_DISPERSION

See Also:
  Constant Field Values

### INDIRECT_FIRE_EXTEND_TIME

    public static final double INDIRECT_FIRE_EXTEND_TIME

See Also:
  Constant Field Values

### INDIRECT_FIRE_MAX_RANGE

    public static final int INDIRECT_FIRE_MAX_RANGE

See Also:
  Constant Field Values

### INDIRECT_FIRE_MIN_RANGE

    public static final int INDIRECT_FIRE_MIN_RANGE

See Also:
  Constant Field Values

### INDIRECT_FIRE_OUT_OF_RANGE_STRING

    public static final String INDIRECT_FIRE_OUT_OF_RANGE_STRING

See Also:
  Constant Field Values

### RELOAD_EXTEND_TIME

    public static final double RELOAD_EXTEND_TIME

See Also:
  Constant Field Values

### RESULT_MASK

    public static final int RESULT_MASK

See Also:
  Constant Field Values

### DISTURBED_TIME

    public static final double DISTURBED_TIME

See Also:
  Constant Field Values

### D

    public static final int D

See Also:
  Constant Field Values

### DISTURBED

    public static final int DISTURBED

See Also:
  Constant Field Values

### DISTURBED_PERFORMANCE_FACTOR

    public static final double DISTURBED_PERFORMANCE_FACTOR

See Also:
  Constant Field Values

### ARTILLERY_RESULT_TABLE

    public static final int[][] ARTILLERY_RESULT_TABLE

### ATTACK_RADIUS

    public static final int ATTACK_RADIUS

See Also:
  Constant Field Values

### R

    public static final int R

See Also:
  Constant Field Values

### RETREAT

    public static final int RETREAT

See Also:
  Constant Field Values

### E

    public static final int E

See Also:
  Constant Field Values

### ELIMINATED

    public static final int ELIMINATED

See Also:
  Constant Field Values

### ADVANCE

    public static final int ADVANCE

See Also:
  Constant Field Values

### COMBAT_EXTEND_TIME

    public static final double COMBAT_EXTEND_TIME

See Also:
  Constant Field Values

### COMBAT_WARNING_STRING

    public static final String COMBAT_WARNING_STRING

See Also:
  Constant Field Values

### ATTACK_OUT_OF_RANGE_STRING

    public static final String ATTACK_OUT_OF_RANGE_STRING

See Also:
  Constant Field Values

### TARGET_DESTROYED_STRING

    public static final String TARGET_DESTROYED_STRING

See Also:
  Constant Field Values

### ALLREADY_IN_COMBAT_STRING

    public static final String ALLREADY_IN_COMBAT_STRING

See Also:
  Constant Field Values

### CANT_ATTACK_THIS_UNIT_TYPE_STRING

    public static final String CANT_ATTACK_THIS_UNIT_TYPE_STRING

See Also:
  Constant Field Values

### COMBAT_RESULT_TABLE

    public static final int[][] COMBAT_RESULT_TABLE

### A_PROTECT

    public static final int A_PROTECT

See Also:
  Constant Field Values

### B_PROTECT

    public static final int B_PROTECT

See Also:
  Constant Field Values

### C_PROTECT

    public static final int C_PROTECT

See Also:
  Constant Field Values

### DEF_PROTECT

    public static final int DEF_PROTECT

See Also:
  Constant Field Values

### SEA_INDIRECT_FIRE_PROTECTION_FACTOR

    public static final double SEA_INDIRECT_FIRE_PROTECTION_FACTOR

See Also:
  Constant Field Values

### CLEAR_INDIRECT_FIRE_PROTECTION_FACTOR

    public static final double CLEAR_INDIRECT_FIRE_PROTECTION_FACTOR

See Also:
  Constant Field Values

### SWAMP_INDIRECT_FIRE_PROTECTION_FACTOR

    public static final double SWAMP_INDIRECT_FIRE_PROTECTION_FACTOR

See Also:
  Constant Field Values

### RIVER_INDIRECT_FIRE_PROTECTION_FACTOR

    public static final double RIVER_INDIRECT_FIRE_PROTECTION_FACTOR

See Also:
  Constant Field Values

### WOODED_INDIRECT_FIRE_PROTECTION_FACTOR

    public static final double WOODED_INDIRECT_FIRE_PROTECTION_FACTOR

See Also:
  Constant Field Values

### FOREST_INDIRECT_FIRE_PROTECTION_FACTOR

    public static final double FOREST_INDIRECT_FIRE_PROTECTION_FACTOR

See Also:
  Constant Field Values

### BEACH_INDIRECT_FIRE_PROTECTION_FACTOR

    public static final double BEACH_INDIRECT_FIRE_PROTECTION_FACTOR

See Also:
  Constant Field Values

### RAILROAD_INDIRECT_FIRE_PROTECTION_FACTOR

    public static final double RAILROAD_INDIRECT_FIRE_PROTECTION_FACTOR

See Also:
  Constant Field Values

### TOWN_INDIRECT_FIRE_PROTECTION_FACTOR

    public static final double TOWN_INDIRECT_FIRE_PROTECTION_FACTOR

See Also:
  Constant Field Values

### VILLAGE_INDIRECT_FIRE_PROTECTION_FACTOR

    public static final double VILLAGE_INDIRECT_FIRE_PROTECTION_FACTOR

See Also:
  Constant Field Values

### ROAD_LARGE_INDIRECT_FIRE_PROTECTION_FACTOR

    public static final double ROAD_LARGE_INDIRECT_FIRE_PROTECTION_FACTOR

See Also:
  Constant Field Values

### ROAD_SMALL_INDIRECT_FIRE_PROTECTION_FACTOR

    public static final double ROAD_SMALL_INDIRECT_FIRE_PROTECTION_FACTOR

See Also:
  Constant Field Values

### BRIDGE_INDIRECT_FIRE_PROTECTION_FACTOR

    public static final double BRIDGE_INDIRECT_FIRE_PROTECTION_FACTOR

See Also:
  Constant Field Values

### DEFAULT_INDIRECT_FIRE_PROTECTION_FACTOR

    public static final double DEFAULT_INDIRECT_FIRE_PROTECTION_FACTOR

See Also:
  Constant Field Values

### A_SPEED

    public static final int A_SPEED

See Also:
  Constant Field Values

### B_SPEED

    public static final int B_SPEED

See Also:
  Constant Field Values

### C_SPEED

    public static final int C_SPEED

See Also:
  Constant Field Values

### DEF_SPEED

    public static final int DEF_SPEED

See Also:
  Constant Field Values

### SEA_SPEED_DENOMINATOR

    public static final double SEA_SPEED_DENOMINATOR

See Also:
  Constant Field Values

### CLEAR_SPEED_DENOMINATOR

    public static final double CLEAR_SPEED_DENOMINATOR

See Also:
  Constant Field Values

### SWAMP_SPEED_DENOMINATOR

    public static final double SWAMP_SPEED_DENOMINATOR

See Also:
  Constant Field Values

### RIVER_SPEED_DENOMINATOR

    public static final double RIVER_SPEED_DENOMINATOR

See Also:
  Constant Field Values

### WOODED_SPEED_DENOMINATOR

    public static final double WOODED_SPEED_DENOMINATOR

See Also:
  Constant Field Values

### FOREST_SPEED_DENOMINATOR

    public static final double FOREST_SPEED_DENOMINATOR

See Also:
  Constant Field Values

### BEACH_SPEED_DENOMINATOR

    public static final double BEACH_SPEED_DENOMINATOR

See Also:
  Constant Field Values

### RAILROAD_SPEED_DENOMINATOR

    public static final double RAILROAD_SPEED_DENOMINATOR

See Also:
  Constant Field Values

### TOWN_SPEED_DENOMINATOR

    public static final double TOWN_SPEED_DENOMINATOR

See Also:
  Constant Field Values

### VILLAGE_SPEED_DENOMINATOR

    public static final double VILLAGE_SPEED_DENOMINATOR

See Also:
  Constant Field Values

### ROAD_LARGE_SPEED_DENOMINATOR

    public static final double ROAD_LARGE_SPEED_DENOMINATOR

See Also:
  Constant Field Values

### ROAD_SMALL_SPEED_DENOMINATOR

    public static final double ROAD_SMALL_SPEED_DENOMINATOR

See Also:
  Constant Field Values

### BRIDGE_SPEED_DENOMINATOR

    public static final double BRIDGE_SPEED_DENOMINATOR

See Also:
  Constant Field Values

### DEFAULT_SPEED_DENOMINATOR

    public static final double DEFAULT_SPEED_DENOMINATOR

See Also:
  Constant Field Values

### SEA_ATTACK_PROTECTION_FACTOR

    public static final double SEA_ATTACK_PROTECTION_FACTOR

See Also:
  Constant Field Values

### CLEAR_ATTACK_PROTECTION_FACTOR

    public static final double CLEAR_ATTACK_PROTECTION_FACTOR

See Also:
  Constant Field Values

### SWAMP_ATTACK_PROTECTION_FACTOR

    public static final double SWAMP_ATTACK_PROTECTION_FACTOR

See Also:
  Constant Field Values

### RIVER_ATTACK_PROTECTION_FACTOR

    public static final double RIVER_ATTACK_PROTECTION_FACTOR

See Also:
  Constant Field Values

### WOODED_ATTACK_PROTECTION_FACTOR

    public static final double WOODED_ATTACK_PROTECTION_FACTOR

See Also:
  Constant Field Values

### FOREST_ATTACK_PROTECTION_FACTOR

    public static final double FOREST_ATTACK_PROTECTION_FACTOR

See Also:
  Constant Field Values

### BEACH_ATTACK_PROTECTION_FACTOR

    public static final double BEACH_ATTACK_PROTECTION_FACTOR

See Also:
  Constant Field Values

### RAILROAD_ATTACK_PROTECTION_FACTOR

    public static final double RAILROAD_ATTACK_PROTECTION_FACTOR

See Also:
  Constant Field Values

### TOWN_ATTACK_PROTECTION_FACTOR

    public static final double TOWN_ATTACK_PROTECTION_FACTOR

See Also:
  Constant Field Values

### VILLAGE_ATTACK_PROTECTION_FACTOR

    public static final double VILLAGE_ATTACK_PROTECTION_FACTOR

See Also:
  Constant Field Values

### ROAD_LARGE_ATTACK_PROTECTION_FACTOR

    public static final double ROAD_LARGE_ATTACK_PROTECTION_FACTOR

See Also:
  Constant Field Values

### ROAD_SMALL_ATTACK_PROTECTION_FACTOR

    public static final double ROAD_SMALL_ATTACK_PROTECTION_FACTOR

See Also:
  Constant Field Values

### BRIDGE_ATTACK_PROTECTION_FACTOR

    public static final double BRIDGE_ATTACK_PROTECTION_FACTOR

See Also:
  Constant Field Values

### DEFAULT_ATTACK_PROTECTION_FACTOR

    public static final double DEFAULT_ATTACK_PROTECTION_FACTOR

See Also:
  Constant Field Values

Constructor Detail

### Def

    public Def()

Method Detail

### getSystemRoleName

    public static String getSystemRoleName()

### getForceName

    public static String getForceName(int force)

### getRetreatBase

    public static int[] getRetreatBase(int force)

### getMaxRoadWidth

    public static int getMaxRoadWidth()

### getWinnerIsString

    public static String getWinnerIsString()

### getCoffeeBreakMessage

    public static String getCoffeeBreakMessage()

### getWarningString

    public static String getWarningString()

### getUnitDestroyedWarningString

    public static String getUnitDestroyedWarningString()

### getDestinationReachedString

    public static String getDestinationReachedString()

### getCantMoveOutOfMapString

    public static String getCantMoveOutOfMapString()

### getCantMoveToWaterString

    public static String getCantMoveToWaterString()

### getMustStartOnRouteString

    public static String getMustStartOnRouteString()

### getMustEndOnRouteString

    public static String getMustEndOnRouteString()

### getMovementPropertyString

    public static String getMovementPropertyString()

### getProtectionPropertyString

    public static String getProtectionPropertyString()

### getHealthPropertyString

    public static String getHealthPropertyString()

### getAttackPropertyString

    public static String getAttackPropertyString()

### getDefencePropertyString

    public static String getDefencePropertyString()

### getIndirectFirePropertyString

    public static String getIndirectFirePropertyString()

### getStatusPropertyString

    public static String getStatusPropertyString()

### getLastVisitorChangedString

    public static String getLastVisitorChangedString()

### getReloadExtendTime

    public static double getReloadExtendTime(WarUnit wu)

### getIndirectFireDispersion

    public static int getIndirectFireDispersion(WarUnit wu)

### getIndirectFireExtendTime

    public static double getIndirectFireExtendTime(WarUnit wu)

### getIndirectFireString

    public static String getIndirectFireString()

### getIndirectFireCompletedString

    public static String getIndirectFireCompletedString()

### getIndirectFireWarningString

    public static String getIndirectFireWarningString()

### getTimeToShowIndirectFire

    public static double getTimeToShowIndirectFire()

### getDisturbedTime

    public static double getDisturbedTime()

### getDisturbedPerformanceFactor

    public static double getDisturbedPerformanceFactor()

### getIndirectFireOutOfRangeMessage

    public static String getIndirectFireOutOfRangeMessage()

### getIndirectFireMaxRadius

    public static double getIndirectFireMaxRadius()

### isWhithinIndirectFireRange

    public static boolean isWhithinIndirectFireRange(double distance)

  Retruns true if distance (in map pixels) is whithin the range defined in Def.java

  Parameters:
    `distance` - a `double` value
  Returns:
    a `boolean` value

### getResultOfArtilleryFire

    public static int getResultOfArtilleryFire(int fireFactor,
                                               int protectionFactor)

### getCombatExtendTime

    public static double getCombatExtendTime()

### getCombatWarningString

    public static String getCombatWarningString()

### getAllreadyInCombatMessage

    public static String getAllreadyInCombatMessage()

### cantAttackThisUnitTypeMessage

    public static String cantAttackThisUnitTypeMessage()

### getAttackRadius

    public static double getAttackRadius()

  Returns the attackRadius in map pixels

  Returns:
    a `double` value

### getAttackOutOfRangeMessage

    public static String getAttackOutOfRangeMessage()

### getTargetDestroyedMessage

    public static String getTargetDestroyedMessage()

### getResutltOfCombat

    public static int[] getResutltOfCombat(int attackFactor,
                                           int defendFactor)

  Return the result of combat as a integer array containing first the result for the attacker and then the result for the defender

  Parameters:
    `attackFactor` - an `int` value
    `defendFactor` - an `int` value
  Returns:
    an `int[][]` value

### getSpeed

    public static int getSpeed(String level)

### getTerrainSpeedDenominator

    public static double getTerrainSpeedDenominator(int groundState)

### getProtection

    public static int getProtection(String level)

### getTerrainIndirectFireProtectionFactor

    public static double getTerrainIndirectFireProtectionFactor(int groundState)

### getTerrainAttackProtectionFactor

    public static double getTerrainAttackProtectionFactor(int groundState)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD